package org.jtheque.core.managers.properties;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * An exception who can occurs during the properties managing process.
 *
 * @author Baptiste Wicht
 */
//Must be public to be accessed from spring proxy
public final class PropertyException extends Exception {
    /**
     * Construct a new PropertyException.
     *
     * @param message The message of the exception.
     * @param cause   The cause of the exception.
     */
    PropertyException(String message, Throwable cause) {
        super(message, cause);
    }
}