package org.jtheque.core.managers.skin;

import java.io.File;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @author Baptiste Wicht
 */
public final class ThemePackSkin extends AbstractSkin {
    private final File file;

    /**
     * Create a new look and feel for a themepack.
     *
     * @param file The themepack
     */
    public ThemePackSkin(File file) {
        super(file.getName().substring(0, file.getName().indexOf("themepack")),
                "com.l2fprod.gui.plaf.skin.SkinLookAndFeel");

        this.file = file;
    }

    @Override
    public File getFile() {
        return file;
    }

    @Override
    public boolean isThemePack() {
        return true;
    }
}