package org.jtheque.core.managers.view.impl.actions.module;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.Managers;
import org.jtheque.core.managers.module.IModuleManager;
import org.jtheque.core.managers.view.impl.actions.JThequeAction;
import org.jtheque.core.managers.view.IViewManager;

import java.awt.event.ActionEvent;

/**
 * An action to swith the primary module.
 *
 * @author Baptiste Wicht
 */
public final class SwitchPrimaryModuleAction extends JThequeAction {
    private static final long serialVersionUID = 4988921486869208671L;

    /**
     * Construct a new SwitchPrimaryModuleAction.
     */
    public SwitchPrimaryModuleAction() {
        super("modules.actions.switch");
    }

    @Override
    public void actionPerformed(ActionEvent arg0) {
        boolean userOk = Managers.getManager(IViewManager.class).askI18nUserForConfirmation(
                "dialogs.confirm.switch", "dialogs.confirm.switch.title");

        if (userOk) {
            Managers.getManager(IModuleManager.class).switchPrimaryModule();
        }
    }
}