package org.jtheque.core.managers.view.impl.components.filthy.java2d;

import javax.swing.JComponent;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * An alpha capable omponent. 
 * 
 * @author Baptiste Wicht
 */
public class AlphaCapableComponent extends JComponent {
    private float alpha;

    /**
     * Set the alpha value of the component. 
     * 
     * @param alpha The alpha value of the component. 
     */
    public final void setAlpha(float alpha) {
        this.alpha = alpha;

        repaint();
    }

    /**
     * Return the alpha value of the component. 
     * 
     * @return The alpha value of the component. 
     */
    public final float getAlpha() {
        return alpha;
    }
}
